Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 771986 - Provide native systemd service
Provide native systemd service
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: clement (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jmp
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 751869
  Show dependency treegraph
 
Reported: 2012-01-05 10:28 EST by Jóhann B. Guðmundsson
Modified: 2014-05-26 05:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-26 05:42:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd service file for clement (163 bytes, text/plain)
2012-01-05 10:29 EST, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2012-01-05 10:28:29 EST
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2012-01-05 10:29:15 EST
Created attachment 550943 [details]
Native systemd service file for clement
Comment 2 Jóhann B. Guðmundsson 2012-01-05 10:33:29 EST
The administrator part now needs to a) be put in a seperated script which is called from an ExecStartPre= line in the unit or b) Administrator simply have perform those steps themselves. 

Note that unit is untested due to clement error-ing out with "Your current clement version is <2.1-401> while the last released one"
Comment 3 Gwyn Ciesla 2012-05-15 09:11:01 EDT
Any objection to my making this change?
Comment 4 Fedora End Of Life 2013-04-03 11:20:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Jóhann B. Guðmundsson 2014-05-26 05:42:54 EDT
Given that I have left the project and a new individual may or may not continue with systemd integration in the project by submitting new feature following whatever demands FPC and FESCo might have and thus new units in the process I'm closing this and all remaining bugs I had submitted for this particular feature as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.